Bug 1944855 - Update to nodejs >=14.15.4 for ARM
Summary: Update to nodejs >=14.15.4 for ARM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1944853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 19:49 UTC by Samuel Padgett
Modified: 2021-04-12 23:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1944853
Environment:
Last Closed: 2021-04-12 23:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8488 0 None open [release-4.7] Bug 1944855: Update Dockerfile.product for nodejs v14.16.0 2021-04-02 01:00:42 UTC
Red Hat Product Errata RHBA-2021:1075 0 None None None 2021-04-12 23:23:07 UTC

Description Samuel Padgett 2021-03-30 19:49:27 UTC
+++ This bug was initially created as a clone of Bug #1944853 +++

See https://issues.redhat.com/browse/CONSOLE-2782

Due to a bug in nodejs:14, ose-console cannot currently be built on ARM with ose-baseubi8.nodejs.14. In order to fix this, a coordinated update of both ose-base to ubi8/nodejs:1-21 and ose-console from 14.15.0 to 14.15.4 would be required. Due to how ose-base is built and used, this would also require a backport to console 4.7 to avoid breaking future z-stream builds (even though ARM will not be enabled thereon).

Comment 5 errata-xmlrpc 2021-04-12 23:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1075


Note You need to log in before you can comment on or make changes to this bug.